<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css" rel="stylesheet"
        integrity="sha384-EVSTQN3/azprG1Anm3QDgpJLIm9Nao0Yz1ztcQTwFspd3yD65VohhpuuCOmLASjC" crossorigin="anonymous">
    <script defer src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.9.2/dist/umd/popper.min.js"
        integrity="sha384-IQsoLXl5PILFhosVNubq5LC7Qb9DXgDA9i+tQ8Zj3iwWAwPtgFTxbJ8NT4GN1R8p"
        crossorigin="anonymous"></script>
    <script defer src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/js/bootstrap.min.js"
        integrity="sha384-cVKIPhGWiC2Al4u+LWgxfKTRIcfu0JTxR+EQDz/bgldoEyl4H0zUF0QKbrJ0EcQF"
        crossorigin="anonymous"></script>
        <link rel="stylesheet" href=
        "https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css" />
         
            <!-- Bootstrap Font Icon CSS -->
            <link rel="stylesheet" href=
        "https://cdn.jsdelivr.net/npm/bootstrap-icons@1.5.0/font/bootstrap-icons.css" />
    <link rel="stylesheet" href="/css/main.css">
    <title>Admin Dashboard | Add Products</title>
</head>

<body>
    <nav class="navbar navbar-expand-lg navbar-dark bg-dark sticky-lg-top ">
        <div class="container-xxl">
            <a class="navbar-brand" href="/index.html">
                <img src="/img/Hopin.svg" alt="" width="115" height="48" class="d-inline-block align-text-top">
            </a>
            <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarSupportedContent"
                aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
            </button>
            <div class="collapse navbar-collapse" id="navbarSupportedContent">
                <form class="d-flex search-bar">
                    <input class="form-control me-2 search-input" type="search" placeholder="Search" aria-label="Search">
                    <button class="btn btn-light" type="submit">Search</button>
                </form>
                <ul class="navbar-nav ms-auto mb-2 mb-lg-0 me-1 menu">
                    <li class="nav-item">
                        <a class="nav-link" aria-current="page" href="/index.html">Home</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" aria-current="page" href="#">Products</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" aria-current="page" href="#">About Us</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" aria-current="page" href="#">Contact</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="#">Link</a>
                    </li>
                    <li class="nav-item dropdown">
                        <a class="nav-link dropdown-toggle d-none" href="#" id="adminDropdown" role="button"
                            data-bs-toggle="dropdown" aria-expanded="false">
                            <i class="fas fa-user mx-1 hide "></i> Admin
                        </a>
                        <ul class="dropdown-menu" aria-labelledby="adminDropdown">
                            <li><a class="dropdown-item" href="/html/admin-panel.html">Dashboard</a></li>
                            <li><a class="dropdown-item" id="logout" href="#">Log Out</a></li>
                        </ul>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link d-none" id="login" href="/html/login-form.html">Login</a>
                    </li>
            </div>
        </div>
    </nav>
    <div class="container-fluid">
        <div class="row flex-nowrap">
            <div class="col-auto col-md-3 col-xl-2 px-sm-2 px-0 bg-light admin-menu">
                <div class="d-flex flex-column align-items-center align-items-sm-start px-3 pt-2 text-white min-vh-100">
                    <a href="/"
                        class="d-flex align-items-center pb-3 mb-md-0 me-md-auto text-white text-decoration-none">
                        <span class="fs-5 d-none d-sm-inline">Menu</span>
                    </a>
                    <ul class="nav nav-pills flex-column mb-sm-auto mb-0 align-items-center align-items-sm-start"
                        id="menu">
                        <li class="nav-item">
                            <a href="#" class="nav-link align-middle px-0">
                                <i class="fs-4 bi-house"></i> <span class="ms-1 d-none d-sm-inline">Home</span>
                            </a>
                        </li>
                        <li>
                            <a href="#submenu3" data-bs-toggle="collapse" class="nav-link px-0 align-middle">
                                <i class="fs-4 bi-grid"></i> <span class="ms-1 d-none d-sm-inline">Products</span> </a>
                            <ul class="collapse nav flex-column ms-1" id="submenu3" data-bs-parent="#menu">
                                <li class="w-100">
                                    <a href="#" class="nav-link px-0"> <span class="d-none d-sm-inline">Add Product</span>
                                        </a>
                                </li>
                                <li>
                                    <a href="#" class="nav-link px-0"> <span class="d-none d-sm-inline">Edit - Delete</span>
                                        </a>
                                </li>
                            </ul>
                        <li>
                            <a href="#submenu1" data-bs-toggle="collapse" class="nav-link px-0 align-middle">
                                <i class="fs-4 bi-speedometer2"></i> <span
                                    class="ms-1 d-none d-sm-inline">Dashboard</span> </a>
                            <ul class="collapse nav flex-column ms-1" id="submenu1" data-bs-parent="#menu">
                                <li class="w-100">
                                    <a href="#" class="nav-link px-0"> <span class="d-none d-sm-inline">Item</span> 1
                                    </a>
                                </li>
                                <li>
                                    <a href="#" class="nav-link px-0"> <span class="d-none d-sm-inline">Item</span> 2
                                    </a>
                                </li>
                            </ul>
                        </li>
                        <li>
                            <a href="#" class="nav-link px-0 align-middle">
                                <i class="fs-4 bi-table"></i> <span class="ms-1 d-none d-sm-inline">Orders</span></a>
                        </li>
                        </li>
                        <li>
                            <a href="#" class="nav-link px-0 align-middle">
                                <i class="fs-4 bi-people"></i> <span class="ms-1 d-none d-sm-inline">Customers</span>
                            </a>
                        </li>
                    </ul>
                    <hr>
                    <div class="dropdown pb-4">
                        <a href="#" class="d-flex align-items-center text-white text-decoration-none dropdown-toggle"
                            id="dropdownUser1" data-bs-toggle="dropdown" aria-expanded="false">
                            <img src="/img/favicon.png" alt="hugenerd" width="30" height="30"
                                class="rounded-circle">
                            <span class="d-none d-sm-inline mx-1">loser</span>
                        </a>
                        <ul class="dropdown-menu dropdown-menu-dark text-small shadow">
                            <li><a class="dropdown-item" href="#">New project...</a></li>
                            <li><a class="dropdown-item" href="#">Settings</a></li>
                            <li><a class="dropdown-item" href="#">Profile</a></li>
                            <li>
                                <hr class="dropdown-divider">
                            </li>
                            <li><a class="dropdown-item" id="logout" href="../index.html">Sign out</a></li>
                        </ul>
                    </div>
                </div>
            </div>
            <div class="col py-3">
                <div class="accordion" id="accordionAdmin">
                    <div class="accordion-item">
                      <h2 class="accordion-header" id="headingOne">
                        <button class="accordion-button accordion-purple" type="button" data-bs-toggle="collapse" data-bs-target="#collapseOne" aria-expanded="true" aria-controls="collapseOne">
                            <h4 class="display-6">Products</h4>
                        </button>
                      </h2>
                      <div id="collapseOne" class="accordion-collapse collapse show" aria-labelledby="headingOne" data-bs-parent="#accordionExample">
                        <div class="accordion-body">
                            <div class="container-fluid product-list-section">
                                <div class="row">
                                    <div class="col-md-4 add-product-section">
                                        <h4>Add New Product</h4>
                                        <form id="productForm">
                                            <div class="mb-3">
                                                <label for="productName" class="form-label">Name</label>
                                                <input type="text" class="form-control" id="productName" placeholder="Name of the product">
                                            </div>
                                            <div class="mb-3">
                                                <label for="productExtract" class="form-label">Extract</label>
                                                <textarea class="form-control" id="productExtract" rows="3"></textarea>
                                            </div>
                                            <div class="mb-3">
                                                <label for="productPrice" class="form-label">Price</label>
                                                <input type="number" class="form-control" id="productPrice" placeholder="Price of the product">
                                            </div>
                                            <div class="mb-3">
                                                <label for="productImage" class="form-label">Image</label>
                                                <input type="file" id="productImage" class="form-control">
                                                <div id="previewContainer" style="margin-top: 10px;"></div>
                                            </div>
                                            <div class="container">
                                                <div class="row">
                                                    <div class="col-md-3">
                                                        <div class="mb-3 form-check">
                                                            <input type="checkbox" class="form-check-input" id="productStatus" checked>
                                                            <label class="form-check-label" for="productStatus">Active</label>
                                                        </div>
                                                    </div>
                                                    <div class="col-md-9">
                                                        <select class="form-select" id="category" aria-label="Default select example">
                                                            <option selected>Select Category</option>
                                                            <option value="Graphic Cards">Graphic Cards</option>
                                                            <option value="Components">Components</option>
                                                            <option value="Monitor">Monitor</option>
                                                            <option value="Gamer">Gamer</option>
                                                            <option value="Headphones">Headphones</option>
                                                          </select>
                                                    </div>
                                                </div>
                                            </div>
                                            <button type="submit" id="submitBtn" class="btn btn-primary">Add Product</button>
                                        </form>
                                    </div>
                                    <div class="col-md-8">
                                        <h4>Product List</h4>
                                        <ul id="productsList" class="list-group"></ul>
                                    </div>
                                </div>
                            </div>
                        </div>
                      </div>
                    </div>
                    <div class="accordion-item">
                      <h2 class="accordion-header" id="headingTwo">
                        <button class="accordion-button collapsed accordion-purple" type="button" data-bs-toggle="collapse" data-bs-target="#collapseTwo" aria-expanded="false" aria-controls="collapseTwo">
                            <h4 class="display-6">Product Categories</h4>
                        </button>
                      </h2>
                      <div id="collapseTwo" class="accordion-collapse collapse" aria-labelledby="headingTwo" data-bs-parent="#accordionExample">
                        <div class="accordion-body">
                            <div class="container-fluid product-list-section">
                                <div class="row">
                                    <div class="col-md-4 add-product-section">
                                        <h4>Add New Product Category</h4>
                                        <form id="categoryForm">
                                            <label for="categoryName" class="form-label">Name</label>
                                            <input type="text" id="categoryName" class="form-control" placeholder="Category Name">
                                            <button type="submit" id="submitCategoryBtn" class="btn btn-primary">Add Category</button>
                                        </form>
                                    </div>
                                    <div class="col-md-8">
                                        <h4>Category List</h4>
                                        <ul id="categoriesList" class="list-group"></ul>
                                    </div>
                                </div>
                            </div>
                        </div>
                      </div>
                    </div>
                    <div class="accordion-item">
                      <h2 class="accordion-header" id="headingThree">
                        <button class="accordion-button collapsed accordion-purple" type="button" data-bs-toggle="collapse" data-bs-target="#collapseThree" aria-expanded="false" aria-controls="collapseThree">
                            <h4 class="display-6">Image Slider</h4>
                        </button>
                      </h2>
                      <div id="collapseThree" class="accordion-collapse collapse" aria-labelledby="headingThree" data-bs-parent="#accordionExample">
                        <div class="accordion-body">
                            <div class="container-fluid slider-list-section">
                                <div class="row">
                                    <div class="col-md-6 add-slider-section">
                                        <h4>Add New Slide</h4>
                                        <form id="sliderForm">
                                            <div class="mb-3">
                                                <label for="sliderName" class="form-label">Sliner name</label>
                                                <input type="text" id="sliderName" class="form-control" placeholder="Slider Name">
                                                <label for="sliderType" class="form-label">Slider Type</label>
                                                <select class="form-control" id="sliderType">
                                                    <option value="desktop">Desktop</option>
                                                    <option value="mobile">Mobile</option>
                                                </select>
                                            </div>
                                            <div class="mb-3">
                                                <label for="slideImage" class="form-label">Image</label>
                                                <input type="file" id="slideImage">
                                                <div id="slidePreviewContainer" style="margin-top: 10px;"></div>
                                            </div>
                                            <button type="submit" id="submitSlideBtn" class="btn btn-primary">Add Slide</button>
                                        </form>
                                    </div>
                                    <div class="col-md-6">
                                        <h4>Slide List</h4>
                                        <ul id="slidesList" class="list-group"></ul>
                                    </div>
                                </div>
                            </div>
                        </div>
                      </div>
                    </div>
                  </div>           
            </div>
        </div>
    </div>
    <footer>

    </footer>
    <script type="module" defer src="/js/main.js"></script>
    <script type="module" src="/js/security.js"></script>
    <script type="module" defer src="/js/databse.js"></script>
    <script src="https://kit.fontawesome.com/b9313cfeb2.js" crossorigin="anonymous"></scrip>
</body>

</html>